> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Job's output

> Retrieve a specific job's results by UUID.



## OpenAPI

````yaml https://api.ionq.co/v0.3/api-docs GET /jobs/{UUID}/results
openapi: 3.0.0
info:
  title: IonQ Cloud Platform API
  version: v0.3
  description: |-
    *Last updated: May 6, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform
  contact:
    name: IonQ
    email: support@ionq.co
    url: https://ionq.com/
  x-logo:
    url: https://static.ionq.co/images/ionq-logo-dark.png
    altText: IonQ Logo
    href: '#'
servers:
  - url: https://api.ionq.co/v0.3/
security:
  - API_Key: []
paths:
  /jobs/{UUID}/results:
    get:
      tags:
        - jobs
        - job-output
      summary: Get a Job's output
      description: Retrieve a specific job's results by UUID.
      operationId: getJobResults
      parameters:
        - $ref: '#/components/parameters/job-uuid'
        - $ref: '#/components/parameters/sharpen'
      responses:
        '200':
          $ref: '#/components/responses/GetJobResults'
      x-codeSamples:
        - lang: curl
          source: >
            curl
            "https://api.ionq.co/v0.3/jobs/617a1f8b-59d4-435d-aa33-695433d7155e/results"
            \
              -H "Authorization: apiKey your-api-key"
components:
  parameters:
    job-uuid:
      name: UUID
      in: path
      required: true
      example: 617a1f8b-59d4-435d-aa33-695433d7155e
      description: >-
        The UUID of the job — this UUID is provided in the response on job
        creation.
      schema:
        type: string
        format: uuid
    sharpen:
      name: sharpen
      in: query
      schema:
        $ref: '#/components/schemas/sharpen'
  responses:
    GetJobResults:
      description: Successfully retrieved results for a job
      content:
        application/json:
          schema:
            type: object
          example:
            a06df3f3-4a34-4dc2-8d4f-c0853bc49e73:
              '0': 0.49
              '1': 0.51
            09d698b6-18a4-4e43-8217-e7f31c097e79:
              '0': 0.49
              '1': 0.51
  schemas:
    sharpen:
      type: boolean
      description: >-
        Get sharpened results from debiasing. Off by default. Will generally
        return more accurate results if your expected output distribution has
        peaks.
  securitySchemes:
    API_Key:
      type: apiKey
      in: header
      name: Authorization
      description: >
        API keys are associated with a user and can be created on the

        [IonQ Quantum Cloud](https://cloud.ionq.com) application. To
        authenticate, prefix your API Key with `apiKey ` and place it in the
        `Authorization` request header. Ex: `Authorization: apiKey your-api-key`

````